curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/events' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
Handler for GET /api/v1/events
Global event stream for monitoring all reasoning activity. Required scope: read
GET
/
api
/
v1
/
events
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/events' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
Global event stream for monitoring all reasoning activity.
Required scope:
read
Response
No response body. Global SSE event stream.Status codes
| Code | Meaning |
|---|---|
200 | Global SSE event stream |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/events' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
Last modified on August 31, 2026